%global pypi_name microversion_parse

Summary:    OpenStack microversion header parser
Name:       python-microversion-parse
Version:    1.0.1
Release:    2%{?dist}
License:    Apache Software License
URL:        http://www.openstack.org
Source0:    %{pypi_source}

Requires:    python3-webob
BuildArch:    noarch

%description
A small set of functions to manage OpenStack `microversion`_ headers that can be used in middleware,
application handlers and decorators to effectively manage microversions.Also included, in the
middleware module, is a MicroversionMiddleware that will process incoming microversion headers.

%package -n python3-microversion-parse
Summary:    OpenStack microversion header parser
BuildRequires:    python3-devel python3-pbr python3-pip python3-setuptools
Provides:    python-microversion-parse

%description -n python3-microversion-parse
A small set of functions to manage OpenStack `microversion`_ headers that can be used in middleware,
application handlers and decorators to effectively manage microversions.Also included, in the
middleware module, is a MicroversionMiddleware that will process incoming microversion headers.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-microversion-parse
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Shuo Wang <abushwang@tencent.com> - 1.0.1-1
- initial build
